export class formRule {
    static validatePass = (rule, value, callback) => {
        if (value === '') {
            callback(new Error(this.$t('error_1')));
        } else if (value.search(/^\+/) == 0) {
            callback(new Error(this.$t('error_26')));
        } else {
            // if(this.clientType != 'student' && value.indexOf('@') >=0){ //是否為Email
            //     var emailRule = /^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z]+$/;
            //     if(value.search(emailRule)!= -1){
            //         callback();
            //     } else {
            //         callback(new Error(this.$t('error_4')));
            //     }
            // } else {
            callback();
            // }
            //都不是就是HabookID
        }
    };
    static validatePasswordCheck = (rule, value, callback) => {
        if (value === '') {
            callback(new Error(this.$t('error_1')));
        }
        else if (!(/^[A-Za-z0-9]+$/.test(value))) {
            callback(new Error(this.$t('error_5')));
        }
        else {
            callback();
        }
    };
    static validateStationCheck = (rule, value, callback) => {
        if (value === '') {
            callback(new Error(this.$t('error_1')));
        }
        else {
            callback();
        }
    };
}